type Mutation {
  validatePanierAndCreateCommande(
    idPanier: ID!
    idPharmacie: ID!
    codeCanalCommande: String!
    commentaireInterne: String
    commentaireExterne: String
  ): Commande
  createOperationCommande(
    idPharmacie: ID!
    idOperation: ID!
    articlesCommande: [ArticleCommande]
    commentaireInterne: String
    commentaireExterne: String
    idPublicite: String
  ): Commande
  updateStatutCommande(id: ID!, statut: String): Commande
  updateCommandeLigneStatut(id: ID!, statut: String): CommandeLigne
}

type Query {
  commande(id: ID!): Commande
  myCommande: Commande
  pharmacieCommandes: [Commande]
  commandeLigne(id: ID!): CommandeLigne
  commandeCanal(id: ID!): CommandeCanal
  commandeType(id: ID!): CommandeType
  commandeCanals: [CommandeCanal]
  commandeTypes: [CommandeType]
}

type Commande implements Searchable {
  type: String!
  id: ID!
  codeReference: String
  pharmacie: Pharmacie
  owner: User
  operation: Operation
  commandeType: StatutTypePayload
  commandeStatut: StatutTypePayload
  dateCommande: DateTime
  nbrRef: Int
  quantite: Int
  uniteGratuite: Int
  prixBaseTotalHT: Float
  valeurRemiseTotal: Float
  prixNetTotalHT: Float
  fraisPort: Float
  valeurFrancoPort: Float
  remiseGlobale: Float
  commentaireInterne: String
  commentaireExterne: String
  pathFile: String
  dateCreation: DateTime
  dateModification: DateTime
  commandeLignes: [CommandeLigne]
  idGroupement: String
}

type CommandeLigne implements Searchable {
  type: String!
  id: ID!
  pharmacie: Pharmacie
  produitCanal: ProduitCanal
  status: StatutTypePayload
  optimiser: Int
  quantiteCdee: Int
  quantiteLivree: Int
  uniteGratuite: Int
  prixBaseHT: Float
  remiseLigne: Float
  remiseGamme: Float
  prixNetUnitaireHT: Float
  prixTotalHT: Float
  dateCreation: DateTime
  dateModification: DateTime
}

input ArticleCommande {
  id: ID!
  quantite: Int!
}

type CommandeType implements Searchable {
  type: String!
  id: ID!
  libelle: String
  code: String
  countOperationsCommercials: Int
}

type CommandeCanal implements Searchable {
  type: String!
  id: ID!
  libelle: String
  code: String
  countOperationsCommercials: Int
  countCanalArticles: Int
}
